Bug 984595 - [RFE] allow adding specific tenants as members to an image
[RFE] allow adding specific tenants as members to an image
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: 9.0 (Mitaka)
Assigned To: Julie Pichon
Ami Jeain
https://blueprints.launchpad.net/hori...
storage upstream_milestone_next upstr...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 10:07 EDT by Dafna Ron
Modified: 2017-02-22 00:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 07:30:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-07-15 10:07:34 EDT
Description of problem:

when creating an image we can either create it under a specific tenant (using login with the admin user) or a public one. 
in the CLI we can add a specific tenant to a specific image using glance: 

root@opens-vdsb ~(keystone_admin)]# glance member-list --image-id 169243de-e5a0-4fd8-9e5c-d7af549453eb
+--------------------------------------+-----------+-----------+
| Image ID                             | Member ID | Can Share |
+--------------------------------------+-----------+-----------+
| 169243de-e5a0-4fd8-9e5c-d7af549453eb | dron      |           |
| 169243de-e5a0-4fd8-9e5c-d7af549453eb | new_ten   |           |
+--------------------------------------+-----------+-----------+


Version-Release number of selected component (if applicable):

python-django-horizon-2013.1.2-1.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create an image and do not select the public tag 
2. go to cli and run glance member-create <image uuid> <tenant_name> 
3.

Actual results:

we cannot create an image with specific tenants or edit it to add a specific tenant but we can do that from cli

Expected results:

we should be able to add a specific tenant from cli

Additional info:

Note You need to log in before you can comment on or make changes to this bug.